io.agora.rtc

## Enum Constants.VideoPublishType

- java.lang.Object
- - java.lang.Enum<Constants.VideoPublishType>
  - - io.agora.rtc.Constants.VideoPublishType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.VideoPublishType>
  Enclosing class:
    Constants

      public static enum Constants.VideoPublishType
      extends java.lang.Enum<Constants.VideoPublishType>

  Video publish types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCODED_IMAGE` 2: Publish encoded video image.
    `NO_PUBLISH` 0: Do not publish video.
    `YUV` 1: Publish YUV video.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the video publish type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.VideoPublishType` | `fromInt(int value)` Converts an integer value to its corresponding VideoPublishType enum constant.
    `int` | `getValue()` Gets the integer value of the video publish type.
    `static Constants.VideoPublishType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.VideoPublishType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_PUBLISH

          public static final Constants.VideoPublishType NO_PUBLISH

      0: Do not publish video.

    - #### YUV

          public static final Constants.VideoPublishType YUV

      1: Publish YUV video.

    - #### ENCODED_IMAGE

          public static final Constants.VideoPublishType ENCODED_IMAGE

      2: Publish encoded video image.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the video publish type

  - ### Method Detail

    - #### values

          public static Constants.VideoPublishType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.VideoPublishType c : Constants.VideoPublishType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.VideoPublishType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the video publish type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.VideoPublishType fromInt(int value)

      Converts an integer value to its corresponding VideoPublishType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding VideoPublishType, or null if the value is not found.